Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033588
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2016-08-02 09:242016-08-30 10:46
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision768f34426413
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033588: Datasource Request done having a summary function with lazy filtering enabled

DescriptionSeveral datasource requests are done having a summary function with lazy filtering enabled in different cases:

a) When opening a tab with a grid that contains a summary function.

b) After saving a new record.

c) After updating an existing record.

d) After deleting a record.

e) After selecting a summary function.

Note that this does not happen if the summary function is already included in a saved view. In this case the request for the summary function is not done until the user decides to launch the request.
Steps To ReproduceNote: use an environment with an activated instance
0) As system admin, use the [Grid Configuration] window to configure the Sales Order window with lazy filtering enabled.
1) Go to the [Sales Order] window
2) Add a summary function to any column, and close the window.
3) Open the [Sales Order] window again and notice that the request to the datasource is fired.

The same happens for the rest of the actions detailed in Description.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00311043.0PR16Q1 closedcaristu [PR15Q4] [Lazy filtering] Lazy filtering feature also affects column sorting 
related to feature request 00335823.0PR17Q1 closedcaristu make summary functions deactivable 
related to design defect 0033591 newplatform Datasource request fired after displaying a new column in grid having lazy filtering enabled 
related to defect 0033618 closedcaristu Unneeded datasource requests after creating a new record in grid view having summary functions 
related to defect 0033669 closedcaristu Unneeded datasource request after opening a window with a summary function on a child tab 
related to defect 0033853 closedNaroaIriarte summary functions: extra DS requests when relocating grid column 

-  Notes
(0088882)
hgbot (developer)
2016-08-08 12:33

Repository: erp/devel/pi
Changeset: 768f344264132beeec88a87c7f25fa256559749d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Aug 08 12:32:51 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/768f344264132beeec88a87c7f25fa256559749d [^]

fixes issue 33588: extra DS calls having summary functions and lazy filtering

When working with the grid having summary functions, several flows were performing datasource requests for recalculating the summaries:
- Open a tab having a grid that already contains a summary function.
- After saving a new record
- After updating an existing record
- After deleting a record
- After switching into form view and saving the record
- After selecting/replacing a summary function

Having the summary row displayed during those actions, Smartclient was recalculating the grid automatically. Now, if the lazy filtering is enabled, the summary row is hidden to prevent the recalculation. Thus, the summary function will be recalculated once the filter/sorting action is requested by the user.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0088889)
hgbot (developer)
2016-08-08 13:17

Repository: erp/devel/pi
Changeset: 655bd2d28fbadaa35afb6455b1256ee9ca7123f3
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Aug 08 13:16:59 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/655bd2d28fbadaa35afb6455b1256ee9ca7123f3 [^]

related to issue 33588: updated lazy filterting description and help

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
---
(0088892)
hgbot (developer)
2016-08-08 14:03

Repository: erp/devel/pi
Changeset: 58339302a39135a1b64ce69d5daa4a4c885016dd
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Aug 08 14:02:38 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/58339302a39135a1b64ce69d5daa4a4c885016dd [^]

related to issue 33588: reverting field name wrongly changed

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
---
(0089044)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089045)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089046)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089537)
alostale (developer)
2016-08-30 10:46
edited on: 2016-08-30 10:46

code reviewed

tested with and without saved views and with lazy and eager filtering for all cases reported


- Issue History
Date Modified Username Field Change
2016-08-02 09:24 caristu New Issue
2016-08-02 09:24 caristu Assigned To => platform
2016-08-02 09:24 caristu Modules => Core
2016-08-02 09:24 caristu Triggers an Emergency Pack => No
2016-08-02 09:25 caristu Relationship added related to 0033582
2016-08-02 09:26 alostale Tag Attached: Performance
2016-08-02 09:26 alostale Severity minor => major
2016-08-02 09:26 alostale Status new => scheduled
2016-08-02 09:26 alostale Assigned To platform => caristu
2016-08-02 09:27 caristu Assigned To caristu => platform
2016-08-02 09:27 caristu Status scheduled => new
2016-08-02 09:27 caristu Description Updated View Revisions
2016-08-02 09:28 caristu Assigned To platform => caristu
2016-08-02 09:32 caristu Description Updated View Revisions
2016-08-02 09:51 caristu Relationship added related to 0033591
2016-08-02 12:29 caristu Status new => scheduled
2016-08-03 08:30 caristu Summary Datasource Request done when adding a summary function having lazy filtering enabled => Datasource Request done having a summary function with lazy filtering enabled
2016-08-03 08:30 caristu Description Updated View Revisions
2016-08-03 08:30 caristu Steps to Reproduce Updated View Revisions
2016-08-03 15:00 caristu Description Updated View Revisions
2016-08-03 15:00 caristu Steps to Reproduce Updated View Revisions
2016-08-03 15:12 caristu Description Updated View Revisions
2016-08-03 15:22 caristu Relationship added related to 0033618
2016-08-04 08:01 caristu Description Updated View Revisions
2016-08-05 07:54 caristu Description Updated View Revisions
2016-08-08 12:33 hgbot Checkin
2016-08-08 12:33 hgbot Note Added: 0088882
2016-08-08 12:33 hgbot Status scheduled => resolved
2016-08-08 12:33 hgbot Resolution open => fixed
2016-08-08 12:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/768f344264132beeec88a87c7f25fa256559749d [^]
2016-08-08 13:17 hgbot Checkin
2016-08-08 13:17 hgbot Note Added: 0088889
2016-08-08 14:03 hgbot Checkin
2016-08-08 14:03 hgbot Note Added: 0088892
2016-08-08 14:09 caristu Relationship added related to 0031104
2016-08-10 10:29 caristu Relationship added related to 0033669
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089044
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089045
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089046
2016-08-25 11:18 caristu Review Assigned To => alostale
2016-08-25 11:18 caristu Issue Monitored: alostale
2016-08-30 10:46 alostale Note Added: 0089537
2016-08-30 10:46 alostale Status resolved => closed
2016-08-30 10:46 alostale Fixed in Version => 3.0PR16Q4
2016-08-30 10:46 alostale Note Edited: 0089537 View Revisions
2016-08-30 10:58 alostale Relationship added related to 0033853


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker